Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/HeuristicLab.Problems.Instances.DataAnalysis-3.3.csproj
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/HeuristicLab.Problems.Instances.DataAnalysis-3.3.csproj	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/HeuristicLab.Problems.Instances.DataAnalysis-3.3.csproj	(revision 16462)
@@ -118,5 +118,5 @@
       <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
     </Reference>
-    <Reference Include="HEAL.Fossil, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
+    <Reference Include="HEAL.Fossil, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <HintPath>..\..\packages\HEAL.Fossil.1.0.0\lib\netstandard2.0\HEAL.Fossil.dll</HintPath>
     </Reference>
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/FeatureSelection/FeatureSelectionInstanceProvider.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/FeatureSelection/FeatureSelectionInstanceProvider.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/FeatureSelection/FeatureSelectionInstanceProvider.cs	(revision 16462)
@@ -23,5 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using HeuristicLab.Data;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Random;
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/FeatureSelection/FeatureSelectionRegressionProblemData.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/FeatureSelection/FeatureSelectionRegressionProblemData.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/FeatureSelection/FeatureSelectionRegressionProblemData.cs	(revision 16462)
@@ -26,9 +26,9 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Fossil;
 using HeuristicLab.Problems.DataAnalysis;
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
-  [StorableClass]
+  [StorableType("28701BDD-D6B7-40D4-881B-40AB253FDDD3")]
   public class FeatureSelectionRegressionProblemData : RegressionProblemData {
     private const string SelectedFeaturesParameterName = "SelectedFeatures";
@@ -49,6 +49,5 @@
 
     [StorableConstructor]
-    protected FeatureSelectionRegressionProblemData(bool deserializing)
-      : base(deserializing) {
+    protected FeatureSelectionRegressionProblemData(StorableConstructorFlag _) : base(_) {
     }
     protected FeatureSelectionRegressionProblemData(FeatureSelectionRegressionProblemData original, Cloner cloner)
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/MibaFrictionRegressionInstanceProvider.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/MibaFrictionRegressionInstanceProvider.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/MibaFriction/MibaFrictionRegressionInstanceProvider.cs	(revision 16462)
@@ -22,7 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.IO;
-using System.IO.Compression;
-using System.Linq;
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/RealWorld/Powermeter.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/RealWorld/Powermeter.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/RealWorld/Powermeter.cs	(revision 16462)
@@ -20,5 +20,4 @@
 #endregion
 
-using System;
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/RealWorld/RealWorldRegressionInstanceProvider.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/RealWorld/RealWorldRegressionInstanceProvider.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/RealWorld/RealWorldRegressionInstanceProvider.cs	(revision 16462)
@@ -22,7 +22,4 @@
 using System;
 using System.Collections.Generic;
-using System.IO;
-using System.IO.Compression;
-using System.Linq;
 
 namespace HeuristicLab.Problems.Instances.DataAnalysis {
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/ResourceRegressionInstanceProvider.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/ResourceRegressionInstanceProvider.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/ResourceRegressionInstanceProvider.cs	(revision 16462)
@@ -25,5 +25,4 @@
 using System.IO.Compression;
 using System.Linq;
-using System.Reflection;
 using System.Text.RegularExpressions;
 using HeuristicLab.Problems.DataAnalysis;
Index: branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/TimeSeries/CSV/TimeSeriesPrognosisCSVInstanceProvider.cs
===================================================================
--- branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/TimeSeries/CSV/TimeSeriesPrognosisCSVInstanceProvider.cs	(revision 16454)
+++ branches/2520_PersistenceReintegration/HeuristicLab.Problems.Instances.DataAnalysis/3.3/TimeSeries/CSV/TimeSeriesPrognosisCSVInstanceProvider.cs	(revision 16462)
@@ -21,5 +21,4 @@
 
 using System;
-using System.Collections;
 using System.Collections.Generic;
 using System.IO;
